<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Chapter 12: Input and Output</title>
<link href="sx11d.html" rev=precedes>
<link href="sx12a.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Chapter 12: Input and Output</H1>

<p>So far, we've been calling <TT>printf</TT>
to print formatted output to the ``standard output''
(wherever that is).
We've also been calling <TT>getchar</TT>
to read single characters from the ``standard input,''
and <TT>putchar</TT> to write single characters to the standard output.
``Standard input'' and ``standard output''
are two predefined I/O <dfn>streams</dfn>
which are implicitly available to us.
In this chapter
we'll learn how to take control of input and output
by opening
our own streams,
perhaps connected to data files,
which we can
read from and write to.
</p><p><a href="sx12a.html" rel=subdocument>12.1 File Pointers and <TT>fopen</TT></a></p>
<p><a href="sx12b.html" rel=subdocument>12.2 I/O with File Pointers</a></p>
<p><a href="sx12c.html" rel=subdocument>12.3 Predefined Streams</a></p>
<p><a href="sx12d.html" rel=subdocument>12.4 Closing Files</a></p>
<p><a href="sx12e.html" rel=subdocument>12.5 Example: Reading a Data File</a></p>
<hr>
<p>
Read sequentially:
<a href="sx11d.html" rev=precedes>prev</a>
<a href="sx12a.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
